'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* global DISQUSWIDGETS */

var __scriptAdded = false;

var ReactDiscusCounter = function (_Component) {
  _inherits(ReactDiscusCounter, _Component);

  function ReactDiscusCounter() {
    _classCallCheck(this, ReactDiscusCounter);

    return _possibleConstructorReturn(this, (ReactDiscusCounter.__proto__ || Object.getPrototypeOf(ReactDiscusCounter)).apply(this, arguments));
  }

  _createClass(ReactDiscusCounter, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      this._addDisqusScript();
    }
  }, {
    key: 'componentDidMount',
    value: function componentDidMount() {
      this._resetComments();
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate() {
      this._resetComments();
    }
  }, {
    key: '_resetComments',
    value: function _resetComments() {
      if (typeof DISQUSWIDGETS !== 'undefined') {
        DISQUSWIDGETS.getCount({ reset: true });
      }
    }
  }, {
    key: '_addDisqusScript',
    value: function _addDisqusScript() {
      if (__scriptAdded) {
        return;
      }

      var parent = document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0];

      var script = document.createElement('script');
      script.async = true;
      script.id = 'dsq-count-scr';
      script.type = 'text/javascript';
      script.src = '//' + this.props.shortname + '.disqus.com/count.js';
      parent.appendChild(script);

      __scriptAdded = true;
    }
  }, {
    key: 'render',
    value: function render() {
      var counterElement = void 0;
      if (this.props.isLink) {
        counterElement = _react2.default.createElement('a', { href: this.props.url + '#disqus_thread' }, this.props.content);
      } else {
        counterElement = _react2.default.createElement('span', {
          className: ['disqus-comment-count'],
          'data-disqus-url': this.props.url
        }, this.props.content);
      }
      return counterElement;
    }
  }]);

  return ReactDiscusCounter;
}(_react.Component);

ReactDiscusCounter.propTypes = {
  shortname: _react.PropTypes.string.isRequired,
  url: _react.PropTypes.string.isRequired,
  content: _react.PropTypes.string,
  isLink: _react.PropTypes.bool
};
ReactDiscusCounter.defaultProps = {
  content: '',
  isLink: false
};
exports.default = ReactDiscusCounter;